- kind: Application
  apiVersion: argoproj.io/v1alpha1
  metadata:
    name: cluster-pipeline
    labels:  &basic_labels
      app.kubernetes.io/name: "startx-cluster-pipeline-application"
      app.kubernetes.io/component: "cluster-pipeline"
    annotations: &basic_annotations
      openshift.io/generated-by: sxcm
      # argocd.argoproj.io/manifest-generate-paths: .
    finalizers:
      - resources-finalizer.argocd.argoproj.io
  spec:
    destination:
      namespace: "openshift-pipelines"
      server: 'https://kubernetes.default.svc'
    info:
      - name: teammail
        value: dev@startx.fr
    project: cluster-admin
    source:
      path: charts/cluster-pipeline/
      repoURL: 'https://github.com/startxfr/helm-repository.git'
      targetRevision: devel
      helm: {}
    syncPolicy:
      automated:
        prune: true
        selfHeal: false
      syncOptions:
        - ApplyOutOfSyncOnly=true
        - CreateNamespace=false
        - Validate=true
      retry:
        limit: 10
        backoff:
          duration: 5s
          factor: 2
          maxDuration: 20s
    ignoreDifferences:
      - group: operators.coreos.com
        kind: OperatorGroup
        jsonPointers: [ "/metadata/annotations/olm.providedAPIs" ]